List Sso Providers
curl --request GET \
--url https://api.example.com/v1/auth/sso/providers \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/v1/auth/sso/providers"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/v1/auth/sso/providers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}auth
List Sso Providers
List configured SSO providers for the authenticated workspace.
Returns the list of providers (enabled or not) with their metadata. Enabled providers are surfaced as clickable buttons on the sign-in screen; disabled ones are shown as unavailable chips.
GET
/
v1
/
auth
/
sso
/
providers
List Sso Providers
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Response
200 - application/json
Successful Response
The response is of type Response List Sso Providers V1 Auth Sso Providers Get · object.
⌘I